__gnu_pbds::basic_branch< Key, Mapped, Tag, Node_Update, Policy_Tl, _Alloc >(3cxx)

NAME
__gnu_pbds::basic_branch< Key, Mapped, Tag, Node_Update, Policy_Tl, _Alloc >

SYNOPSIS

Inherits type< Key, Mapped, _Alloc, Tag, Policy_Tl >.

  Public Types

typedef Node_Update node_update

  Protected Member Functions

basic_branch (const basic_branch &other)
template<typename T0 > basic_branch (T0 t0)
template<typename T0 , typename T1 > basic_branch (T0 t0, T1 t1)
template<typename T0 , typename T1 , typename T2 > basic_branch (T0 t0, T1 t1, T2 t2)
template<typename T0 , typename T1 , typename T2 , typename T3 > basic_branch (T0 t0, T1 t1, T2 t2, T3 t3)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 > basic_branch (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 > basic_branch (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 > basic_branch (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6)

Detailed Description

  template<typename Key, typename Mapped, typename Tag, typename Node_Update, typename Policy_Tl, typename _Alloc>
class __gnu_pbds::basic_branch< Key, Mapped, Tag, Node_Update, Policy_Tl, _Alloc >" A branched, tree-like (tree, trie) container abstraction.

Template Parameters:
    Key Key type.
    Mapped Map type.
    Tag Instantiating data structure type, see container_tag.
    Node_Update Updates nodes, restores invariants.
    Policy_TL Policy typelist.
    _Alloc Allocator type.

Base is dispatched at compile time via Tag, from the following choices: tree_tag, trie_tag, and their descendants.

Base choices are: detail::ov_tree_map, detail::rb_tree_map, detail::splay_tree_map, and detail::pat_trie_map.

Definition at line 555 of file assoc_container.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.